Bug 1739927

Summary: python2-tw2-forms fails to install in Fedora rawhide
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python-tw2-formsAssignee: Jan ONDREJ <ondrejj>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 31CC: extras-orphan, ondrejj
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-09-04 21:56:08 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1690439, 1700324    

Description Miro Hrončok 2019-08-11 21:33:32 UTC
python2-tw2-forms-2.2.3-13.fc31.noarch fails to install in Fedora rawhide:

  nothing provides python2-tw2-core >= 2.1.4 needed by python2-tw2-forms-2.2.3-13.fc31.noarch
  nothing provides python2.7dist(tw2.core) >= 2.1.4 needed by python2-tw2-forms-2.2.3-13.fc31.noarch

This is most likely caused by a dependency that was retired.
Please drop the dependency or remove the package. Thanks

Comment 1 Ben Cotton 2019-08-13 16:55:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:09:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Miro Hrončok 2019-08-21 15:47:17 UTC
See https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

"Packages still failing to install due to a missing Python 2 dependency will be retired at Beta Freeze, assuming they have a Bugzilla bug open for at least 2 weeks. The package maintainer may postpone this retirement to the Final Freeze by promising to fix it until then."

Let me know if this package shall not be retired yet. The beta freeze is at 2019-08-29, the final freeze is at 2019-10-08.

Comment 4 Jan ONDREJ 2019-08-27 08:50:08 UTC
Waiting for python-tw2-core to be unretired, then I can fix this.
https://pagure.io/releng/issue/8690